## FolksPostalAddress

FolksPostalAddress — Object representing a postal mail address.

## Types and Values

#define | FOLKS_TYPE_POSTAL_ADDRESS
struct | FolksPostalAddress
struct | FolksPostalAddressClass
#define | FOLKS_TYPE_POSTAL_ADDRESS_FIELD_DETAILS
struct | FolksPostalAddressFieldDetails
struct | FolksPostalAddressFieldDetailsClass
| FolksPostalAddressDetails
struct | FolksPostalAddressDetailsIface

## Description

The components of the address are never `null`: an empty string indicates that a property is not set.

## Functions

## Types and Values

### FOLKS_TYPE_POSTAL_ADDRESS

    #define FOLKS_TYPE_POSTAL_ADDRESS (folks_postal_address_get_type ())

The type for FolksPostalAddress.

### struct FolksPostalAddress

    struct FolksPostalAddress {
    	GObject parent_instance;
    	FolksPostalAddressPrivate * priv;
    };

Object representing a postal mail address.

The components of the address are never `null`: an empty string indicates that a property is not set.

### struct FolksPostalAddressClass

    struct FolksPostalAddressClass {
    	GObjectClass parent_class;
    };

The class structure for `FOLKS_TYPE_POSTAL_ADDRESS`. All the fields in this structure are private and should never be accessed directly.

#### Members

### FOLKS_TYPE_POSTAL_ADDRESS_FIELD_DETAILS

    #define FOLKS_TYPE_POSTAL_ADDRESS_FIELD_DETAILS (folks_postal_address_field_details_get_type ())

The type for FolksPostalAddressFieldDetails.

### struct FolksPostalAddressFieldDetails

    struct FolksPostalAddressFieldDetails {
    	FolksAbstractFieldDetails parent_instance;
    	FolksPostalAddressFieldDetailsPrivate * priv;
    };

Object representing a PostalAddress value that can have some parameters associated with it.

See FolksAbstractFieldDetails for details on common parameter names and values.

Since: 0.6.0

### struct FolksPostalAddressFieldDetailsClass

    struct FolksPostalAddressFieldDetailsClass {
    	FolksAbstractFieldDetailsClass parent_class;
    };

The class structure for `FOLKS_TYPE_POSTAL_ADDRESS_FIELD_DETAILS`. All the fields in this structure are private and should never be accessed directly.

#### Members

### FolksPostalAddressDetails

    typedef struct _FolksPostalAddressDetails FolksPostalAddressDetails;

Interface for classes that can provide postal addresses, such as FolksPersona and FolksIndividual.

### struct FolksPostalAddressDetailsIface

    struct FolksPostalAddressDetailsIface {
    	GTypeInterface parent_iface;
    	void (*change_postal_addresses) (FolksPostalAddressDetails* self, GeeSet* postal_addresses, GAsyncReadyCallback _callback_, gpointer _user_data_);
    	void (*change_postal_addresses_finish) (FolksPostalAddressDetails* self, GAsyncResult* _res_, GError** error);
    	GeeSet* (*get_postal_addresses) (FolksPostalAddressDetails* self);
    	void (*set_postal_addresses) (FolksPostalAddressDetails* self, GeeSet* value);
    };

Interface for creating FolksPostalAddressDetails implementations.

#### Members

GTypeInterface `parent_iface`; | the parent interface structure |
`change_postal_addresses` () | virtual method called by ``folks_postal_address_details_change_postal_addresses()`` |
`change_postal_addresses_finish` () | asynchronous finish function for `change_postal_addresses`, called by ``folks_postal_address_details_change_postal_addresses()`` |
`get_postal_addresses` () | getter method for the abstract property "postal-addresses" |
`set_postal_addresses` () | setter method for the abstract property "postal-addresses" |